Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/xorg-xinput: new aport

From: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
Date: Sun, 15 Nov 2015 13:07:12 +0000

http://xorg.freedesktop.org/
Utility to configure and test XInput devices
---
 testing/xorg-xinput/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/xorg-xinput/APKBUILD
diff --git a/testing/xorg-xinput/APKBUILD b/testing/xorg-xinput/APKBUILD
new file mode 100644
index 0000000..c6e7841
--- /dev/null
+++ b/testing/xorg-xinput/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+# Maintainer: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+pkgname=xorg-xinput
+pkgver=1.6.2
+pkgrel=0
+pkgdesc="Utility to configure and test XInput devices"
+url="http://xorg.freedesktop.org/"
+arch="all"
+license="custom"
+depends=""
+depends_dev="util-macros libx11-dev libxext-dev libxi-dev libxrandr-dev libxinerama-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://xorg.freedesktop.org/archive/individual/app/xinput-${pkgver}.tar.bz2"
+
+_builddir="$srcdir"/xinput-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install
+	install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+	install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/"
+}
+md5sums="6a889412eff2e3c1c6bb19146f6fe84c  xinput-1.6.2.tar.bz2"
+sha256sums="3694d29b4180952fbf13c6d4e59541310cbb11eef5bf888ff3d8b7f4e3aee5c4  xinput-1.6.2.tar.bz2"
+sha512sums="dbef3a87dd47bb8c593f1305bea7978697a12434a4992584e4124d745bb366812366b44fc205159137a3db6f7b8338effd1b90641a194497b19159b9fd91939e  xinput-1.6.2.tar.bz2"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Nov 15 2015 - 13:07:12 GMT